# Superluminal

![Logo](assets/logo.svg)

Building blocks for creating HTTP requests and API clients

[![Unit Tests](https://github.com/ba-st/Superluminal/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Superluminal/actions/workflows/unit-tests.yml)
[![Coverage Status](https://codecov.io/github/ba-st/Superluminal/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Superluminal/branch/release-candidate)
[![Baseline groups](https://github.com/ba-st/Superluminal/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Superluminal/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Superluminal/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Superluminal/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Superluminal.svg)](https://github.com/ba-st/Superluminal/releases/latest)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

Quick links

- [**Explore the docs**](docs/)
- [Report a defect](https://github.com/ba-st/Superluminal/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Superluminal/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow these [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)

---

> *Icons by [Icons8](https://icons8.com)*
